#!/bin/sh
mkdir -p www
rm -rf www/*
cp -pv src/style.css www
cp -pv src/favicon.ico www
cp -pv src/076mute.user.js www
cp -rpv src/images www

cd src

for name in *.html; do
	out=../www/$name
	cat include/header.html >> $out

	# titleタグの次の行にbodyの開始タグを追加
	sed '/^<title>/r include/body.html' $name >> $out

	# 目次以外にはフッターあり
	if [ $name != index.html ]; then
		cat include/footer.html >> $out
	fi

	echo "src/$name -> www/$name"
done

cd ..
